Bug 1029224 - Glitches: Flickering blocks on shaders in various games
Glitches: Flickering blocks on shaders in various games
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 17:31 EST by Elias Vanderstuyft
Modified: 2015-02-17 14:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:11:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
An example of the random blocks on the airplane. (624.40 KB, image/png)
2013-11-11 17:31 EST, Elias Vanderstuyft
no flags Details
Flightgear: shader setting "Model" set to a lower value that doesn't cause glitches (514.17 KB, image/png)
2013-11-11 17:35 EST, Elias Vanderstuyft
no flags Details
Flightgear: shader setting "Water" set to a lower value that doesn't cause glitches (1.12 MB, image/png)
2013-11-11 17:37 EST, Elias Vanderstuyft
no flags Details
Flightgear: shader setting "Water" set to a higher value that causes glitches (1.60 MB, image/png)
2013-11-11 17:38 EST, Elias Vanderstuyft
no flags Details
COD4: enabling "Shadows" causes glitches (example1) (1.49 MB, image/png)
2013-11-11 17:40 EST, Elias Vanderstuyft
no flags Details
COD4: enabling "Shadows" causes glitches (example2) (1.58 MB, image/png)
2013-11-11 17:40 EST, Elias Vanderstuyft
no flags Details
Trackmania: setting Shader quality to "PC3 High" causes glitches (834.85 KB, image/png)
2013-11-11 17:42 EST, Elias Vanderstuyft
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 74062 None None None Never

  None (edit)
Description Elias Vanderstuyft 2013-11-11 17:31:19 EST
Created attachment 822652 [details]
An example of the random blocks on the airplane.

Description of problem:
Enabling certain shader settings in some games results in scattering/flickering random blocks on the areas the specific shader settings affects on.


Version-Release number of selected component (if applicable):
1:1.0.9-1.fc19.x86_64


How reproducible:
Always


Steps to Reproduce:
0. Run one of the following games: Flightgear, COD4, Trackmania United

1. Flightgear:
2. Go to View -> Rendering options -> Shader options.
2. Set one the shader options in {"Model" OR "Water" OR "Landmass"} too high.
3. Glitches appear on the according areas.

1. COD4:
2. Enable "Shadows" in the settings menu.
3. Ingame, the shadows contain glitches.

1. Trackmania United:
2. Set shader quality to "PC3 High".
3. After completing a race, click once on the screen when the replay is playing, to view HUD.
4. The HUD contains the glitches.


Actual results:
Shader setting has the correct behaviour, but scattering/flickering random blocks are superposed on the shader-setting-affected areas.


Expected results:
Shader setting has the correct behaviour, without additional garbage on the shader-setting-affected areas.


Additional info:

Graphics card: GTX760 (Kepler), one DVI-to-VGA monitor.
Running "glxinfo" gives:
    direct rendering: Yes
    OpenGL vendor string: nouveau
    OpenGL renderer string: Gallium 0.4 on NVE4
    OpenGL core profile version string: 3.1 (Core Profile) Mesa 9.2.0
    OpenGL core profile shading language version string: 1.40

The problem seems to be part of section "Blank monitor, flicker, snow, or other random live image corruption" on "http://nouveau.freedesktop.org/wiki/TroubleShooting/".
I think my card is running on the lowest performance level (running heavy games the card's temperature never exceeds 34 degrees Celcius), but I don't want to set it to a higher performance level as it might damage my card.
Running "cat /sys/class/drm/card0/device/performance_level" gives:
    profile: boot, boot
    c:

On "http://nouveau.freedesktop.org/wiki/MesaDrivers/" there is written: "If you get a misrendered image using a Gallium3D-based driver, compare it with the software rasterizers (softpipe and llvmpipe drivers). If the software rasterizer has the same problem, do not submit a bug against Nouveau, because it is a generic Gallium3D bug."
But I don't know how to do that. (I haven't got much time to find out, so if someone knows, please tell me.)

With the Nvidia propriety drivers, there are no glitches.

Apart from this glitch, Nouveau drivers produce excellent rendering results on this rather new card.
Comment 1 Elias Vanderstuyft 2013-11-11 17:35:28 EST
Created attachment 822653 [details]
Flightgear: shader setting "Model" set to a lower value that doesn't cause glitches
Comment 2 Elias Vanderstuyft 2013-11-11 17:36:20 EST
Comment on attachment 822652 [details]
An example of the random blocks on the airplane.

Flightgear: shader setting "Model" set to a higher value that causes glitches
Comment 3 Elias Vanderstuyft 2013-11-11 17:37:21 EST
Created attachment 822654 [details]
Flightgear: shader setting "Water" set to a lower value that doesn't cause glitches
Comment 4 Elias Vanderstuyft 2013-11-11 17:38:11 EST
Created attachment 822655 [details]
Flightgear: shader setting "Water" set to a higher value that causes glitches
Comment 5 Elias Vanderstuyft 2013-11-11 17:40:25 EST
Created attachment 822656 [details]
COD4: enabling "Shadows" causes glitches (example1)
Comment 6 Elias Vanderstuyft 2013-11-11 17:40:55 EST
Created attachment 822657 [details]
COD4: enabling "Shadows" causes glitches (example2)
Comment 7 Elias Vanderstuyft 2013-11-11 17:42:07 EST
Created attachment 822658 [details]
Trackmania: setting Shader quality to "PC3 High" causes glitches
Comment 8 Elias Vanderstuyft 2013-11-11 17:45:55 EST
(In reply to Elias Vanderstuyft from comment #5)
> Created attachment 822656 [details]
> COD4: enabling "Shadows" causes glitches (example1)

(In reply to Elias Vanderstuyft from comment #6)
> Created attachment 822657 [details]
> COD4: enabling "Shadows" causes glitches (example2)

(In reply to Elias Vanderstuyft from comment #7)
> Created attachment 822658 [details]
> Trackmania: setting Shader quality to "PC3 High" causes glitches

Excuse me for omitting the file extensions of the last three attachments, they should be "*.png".
Comment 9 Fedora End Of Life 2015-01-09 15:33:41 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 14:11:45 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.